using System.ComponentModel.DataAnnotations.Schema;

namespace EnotaryoPH.Data.Entities
{
    [Table("TransactionOTP")]
    public class TransactionOTP
    {
        [Column("TransactionOTPID")]
        public int TransactionOTPID { get; set; }

        [Column("TransactionID")]
        public int TransactionID { get; set; }

        [Column("VerifiedOn")]
        public DateTime VerifiedOn { get; set; }

        [Column("PrintCoords")]
        public string PrintCoords { get; set; }

        [Column("Status")]
        public string Status { get; set; }

        [Column("UserID")]
        public int UserID { get; set; }

        [Column("TransactionOTP_UID")]
        public Guid? TransactionOTP_UID { get; set; }

        [Column("OTPHash")]
        public string OTPHash { get; set; }

        [Column("OTPUserInput")]
        public string? OTPUserInput { get; set; }

        [Column("IPAddress")]
        public string? IPAddress { get; set; }

        [Column("Longitude")]
        public int? Longitude { get; set; }

        [Column("Lattitude")]
        public int? Lattitude { get; set; }

        [Column("Device")]
        public string? Device { get; set; }

        [Column("File_Liveness")]
        public byte[]? File_Liveness { get; set; }
    }
}